TokyoTyrant::connect
TokyoTyrant::__construct
TokyoTyrant
PHP Manual

# TokyoTyrant::connectUri

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::connectUri — Connects to a database

### Description

public TokyoTyrant TokyoTyrant::connectUri ( string `$uri` )

Connects to a database using an uri

### Parameters

`uri`

  An URI to the database. For example tcp://localhost:1979/

### Return Values

This method returns the current object and throws TokyoTyrantException on failure.

### Examples

Example #1 TokyoTyrant::connectUri() example

`<?php
$tt = new TokyoTyrant();
$tt->connectUri("tcp://localhost:1978/")->put("test", "hi");
?>`

### See Also

- TokyoTyrant::connect() - Connect to a database

TokyoTyrant::connect
TokyoTyrant::__construct
TokyoTyrant
PHP Manual